#227 Assembler fail with perfect Data

scaffolder
open
Brian Walenz
Crash (103)
5
2012-12-10
2012-12-10
Anonymous
No

Assembler fails at fragment correction with perfect data, after turning off fragment correction assembler manages to run till scaffolder. Then the following error occures:

----------------------------------------START Fri Dec 7 21:11:57 2012
/storage/scratch/software/wgs-7.0-fixed/Linux-amd64/bin/cgw \ -j 1 -k 5 \ -r 5 \ -s 2 \ -S 0 \ -G \ -z \ -P 2 \ -B 10000 \ -shatter 0 \ -missingMate 0 \ -m 100 \ -g /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/EcGenPbSim1.1_sl1050.allopt1.Err101215.gkpStore \ -t /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/6-clonesize/EcGenPbSim1.1_sl1050.allopt1.Err101215.tigStore \ -o /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/6-clonesize/EcGenPbSim1.1_sl1050.allopt1.Err101215 \ > /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/6-clonesize/cgw.out 2>&1
sh: line 15: 16698 Aborted /storage/scratch/software/wgs-7.0-fixed/Linux-amd64/bin/cgw -j 1 -k 5 -r 5 -s 2 -S 0 -G -z -P 2 -B 10000 -shatter 0 -missingMate 0 -m 100 -g /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/EcGenPbSim1.1_sl1050.allopt1.Err101215.gkpStore -t /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/6-clonesize/EcGenPbSim1.1_sl1050.allopt1.Err101215.tigStore -o /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/6-clonesize/EcGenPbSim1.1_sl1050.allopt1.Err101215 > /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/6-clonesize/cgw.out 2>&1
----------------------------------------END Fri Dec 7 21:11:57 2012 (0 seconds)
ERROR: Failed with signal ABRT (6)
================================================================================

runCA failed.

----------------------------------------
Stack trace:

at /storage/scratch/software/wgs/Linux-amd64/bin/runCA line 1237.
main::caFailure('scaffolder failed', '/storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1...') called at /storage/scratch/software/wgs/Linux-amd64/bin/runCA line 4745
main::CGW('6-clonesize', undef, '/storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1...', 2, undef, 0) called at /storage/scratch/software/wgs/Linux-amd64/bin/runCA line 4930
main::scaffolder() called at /storage/scratch/software/wgs/Linux-amd64/bin/runCA line 5884

----------------------------------------
Last few lines of the relevant log file (/storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.1_sl1050.allopt1.Err101215/6-clonesize/cgw.out):

WARNING: Unitig 5962 does not exist.
WARNING: Unitig 5963 does not exist.
WARNING: Unitig 5964 does not exist.
WARNING: Unitig 5965 does not exist.
WARNING: Unitig 5966 does not exist.
WARNING: Unitig 5967 does not exist.
WARNING: Unitig 5968 does not exist.
WARNING: Unitig 5969 does not exist.
WARNING: Unitig 5970 does not exist.
WARNING: Unitig 5971 does not exist.
WARNING: Unitig 5972 does not exist.
WARNING: Unitig 5973 does not exist.
WARNING: Unitig 5974 does not exist.
WARNING: Unitig 5975 does not exist.
WARNING: Unitig 5976 does not exist.
WARNING: Unitig 5977 does not exist.
WARNING: Unitig 5978 does not exist.
WARNING: Unitig 5979 does not exist.
WARNING: Unitig 5980 does not exist.
cgw: MultiAlignStore.C:356: void MultiAlignStore::insertMultiAlign(MultiAlignT*, bool, bool): Assertion `ma->maID < ctgMax' failed.

----------------------------------------
Failure message:

scaffolder failed

Discussion

  • Brian Walenz
    Brian Walenz
    2012-12-10

    • assigned_to: nobody --> brianwalenz
     
  • Brian Walenz
    Brian Walenz
    2012-12-10

    I've only seen this error on completed or nearly completed assemblies that were forced to restart from an earlier pipeline stage. Can you send the contents of the *tigStore directory? In particular, do files later than v006 exist?

    By correction, are you referring to the pacbio correction pipeline, or the assembler frgCorr/ovlCorr stage? Do you have the error log still?

    Definitely do try with the CVS version. Many, many bugs have been fixed since 7.0 was released.

    Can you share the reads?

     

  • Anonymous
    2012-12-12

    I am using the CVS 7.0 version and i added the files of the failed assembly were the fragment correction is turned on. i also added the reads and the tig store.

    hopefully you can help me or at least tell me what i am doing wrong

    thank you

    This is the error which occures when the fragment correction is turned on:

    ---------------------------------------END CONCURRENT Wed Dec 12 15:09:20 2012 (59 seconds)
    ----------------------------------------START Wed Dec 12 15:09:20 2012
    find /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/1-overlapper \( -name \*ovb.gz -or -name \*ovb \) -print > /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/EcGenPbSim1.ref.ovlStore.list
    ----------------------------------------END Wed Dec 12 15:09:20 2012 (0 seconds)
    ----------------------------------------START Wed Dec 12 15:09:20 2012
    /storage/scratch/software/wgs-7.0-fixed/Linux-amd64/bin/overlapStore -c /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/EcGenPbSim1.ref.ovlStore.BUILDING -g /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/EcGenPbSim1.ref.gkpStore -i 0 -M 2048 -L /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/EcGenPbSim1.ref.ovlStore.list > /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/EcGenPbSim1.ref.ovlStore.err 2>&1
    ----------------------------------------END Wed Dec 12 15:09:23 2012 (3 seconds)
    ----------------------------------------START CONCURRENT Wed Dec 12 15:09:23 2012
    /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/3-overlapcorrection/frgcorr.sh 1 > /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/3-overlapcorrection/0001.err 2>&1
    ----------------------------------------END CONCURRENT Wed Dec 12 15:09:39 2012 (16 seconds)
    Fragment correction job 0001 failed.
    ================================================================================

    runCA failed.

    ----------------------------------------
    Stack trace:

    at /storage/scratch/software/wgs/Linux-amd64/bin/runCA line 1237.
    main::caFailure('1 overlap jobs failed; remove /storage/scratch/s216125/Eck12/...', undef) called at /storage/scratch/software/wgs/Linux-amd64/bin/runCA line 3923
    main::overlapCorrection() called at /storage/scratch/software/wgs/Linux-amd64/bin/runCA line 5880

    ----------------------------------------
    Failure message:

    1 overlap jobs failed; remove /storage/scratch/s216125/Eck12/assembly/wgs/EcGenPbSim1.ref/3-overlapcorrection/frgcorr.sh to try again

     

  • Anonymous
    2012-12-12

    Error 3-overlapcorr

     
    Attachments

  • Anonymous
    2012-12-12

    the reads are too large ~60Mb.

     

  • Anonymous
    2012-12-13

    The last file in the tig store is V004